import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'gz_video_player_method_channel.dart';

abstract class GzVideoPlayerPlatform extends PlatformInterface {
  /// Constructs a GzVideoPlayerPlatform.
  GzVideoPlayerPlatform() : super(token: _token);

  static final Object _token = Object();

  static GzVideoPlayerPlatform _instance = MethodChannelGzVideoPlayer();

  /// The default instance of [GzVideoPlayerPlatform] to use.
  ///
  /// Defaults to [MethodChannelGzVideoPlayer].
  static GzVideoPlayerPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [GzVideoPlayerPlatform] when
  /// they register themselves.
  static set instance(GzVideoPlayerPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
